Subject: Re: 1.3.10 gcc/g77 won't install, won't work
From: Ryu Myungsunn <[email-masked]>
To: [email-masked], [email-masked]
Date: Tue, 26 Mar 2002 02:25:42 +0900

Sorry for the font difficulty.
I didn't test if binutils is working properly. But it shows its current version
as 20011002-1 in cygwin's 'packages to install' list -- unlike the gcc package.
And I didn't install g77 separately. I'm using g77 as the default subset of gcc
package. And the problem is not limited to g77; gcc shows the same symptom.
My trials do not include building g77 or gcc from source package. I only tried
installing pre-compiled binaries. So I do not understand what you mean by
'spurious -lm in the default setup... does not extend to a separate version of
gcc/g77 installed from source'.
I know the version is NOT the problem; I said I saw the very version working on
other machine.
I mostly suspect the new setup.exe(v2.195.2.15). Can I get the old
setup.exe(v2.125.2.10)?

Tim Prince wrote:

> On Monday 25 March 2002 06:06, Ryu Myungsunn wrote:
> > Recently I updated cygwin to 1.3.10 and got "installation incomplete
> > Check /setup.log.full" message. but no /setup.log.full was found.
> >
> > Later I discovered that g77(v0.5.25) won't produce .exe files while
> > producing .o files.
> > This was the same with gcc(v2.95.3-5).
> > The same versions of gcc and g77 work nicely on solaris7-sparc
> > environment.
> >
> Your font is quite difficult to read here.
> It's not your g77 version.  You may have somehow introduced breakage
> (possibly in more than one place) in your g77 linkage setup.  Since you give
> no particulars, anyone trying to help you would be guessing.  You haven't
> even revealed whether you got binutils installed.  One of the common problems
> with the cygwin setup is the introduction of a spurious -lm in the default
> g77 setup.  Such breakage in the g77 version installed by cygwin does not
> necessarily extend to a separate version of gcc/g77 installed from source.
> --
> Tim Prince

--
??????????????????????????????????????
   Ryu Myungsunn, Organic EL Group
                          +82-2-526-4498
                    LG Elite
??????????????????????????????????????

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/